Bug 435580 - firefox crash
firefox crash
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
2BUpstreamed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-01 21:09 EST by Jesus M. Rodriguez
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 14:22:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gecko bugreport (561.22 KB, text/plain)
2008-03-01 21:09 EST, Jesus M. Rodriguez
no flags Details
gdb firefox output (13.14 KB, text/plain)
2008-03-03 11:43 EST, Jesus M. Rodriguez
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 421929 None None None Never

  None (edit)
Description Jesus M. Rodriguez 2008-03-01 21:09:00 EST
Description of problem:
Occasionally going from a website to gmail or google reader firefox will crash
with the bugbuddy dialog.  After restarting firefox, it seems to work fine for
several hours.

I thought it might be flash, but in most cases going to gmail or google reader
doesn't require flash, but those application use quite a bit of Javascript,
so is it possible for Javascript to crash firefox?

Version-Release number of selected component (if applicable):
[jesusr@roadrunner ~]$ rpm -q firefox
firefox-2.0.0.12-1.fc8.i386


How reproducible:
At least once or more times daily.

Steps to Reproduce:
1. Open firefox
2. Browse to a website www.redhat.com, zeusville.wordpress.com, or gmail.
3. After perusing the site for a bit, go to http://www.google.com/reader/view/
4. Before the page loads firefox crashes with bugbuddy. 
5. Restarting firefox and choosing restore session will NOT restore the
   url from #3 as it doesn't think it actually loaded it.
  
Actual results:
firefox goes BOOM

Expected results:
firefox continues to behave and be my slave app handling countless hours
of abuse :) or in other words, it should just work.

Additional info:
Attaching debug output
Comment 1 Jesus M. Rodriguez 2008-03-01 21:09:00 EST
Created attachment 296461 [details]
gecko bugreport
Comment 2 Matěj Cepl 2008-03-03 11:01:00 EST
Sorry, this bugreport is meant for the machine processing and the upstream
hasn't provided the facilities for its processing yet. For know, we have to live
with the old manual way of doing things.

Please install firefox-debuginfo; in order to do this you have to enable
-debuginfo repository.

	yum install --enablerepo=\*debuginfo firefox-debuginfo

(if you use x86_64 firefox, install firefox-debuginfo.x86_64  package).

Then run firefox with a parameter -g. That will start firefox running inside of
gdb debugger. Then use command run and do whatever you did to make firefox
crash. When it happens, you should go back to the gdb and run

	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text
editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Jesus M. Rodriguez 2008-03-03 11:43:43 EST
Created attachment 296636 [details]
gdb firefox output

Here is the gdb output. scenario used to create crash:
1) start firefox (displays start.fedoraproject.org)
2) click on Gmail bookmark (http://mail.google.com)
3) while gmail is loading I double click to create a new tab
4) once gmail is loaded, I click the google reader bookmark
(http://www.google.com/reader/view/)
5) firefox segv :)
Comment 5 Matěj Cepl 2008-03-10 14:22:26 EDT
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=421929) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.